src/Entity/AdminFlock/TimestampableTrait.php
<?php

namespace App\Entity\AdminFlock;

use Doctrine\ORM\Mapping as Orm;
use Gedmo\Mapping\Annotation as Gedmo;


trait TimestampableTrait
{
    /**************************************/
    /* PROPERTIES                         */
    /**************************************/

    /**
     * @var User $createdBy
     *
     * @Gedmo\Blameable(on="create")
     * @ORM\ManyToOne(targetEntity="App\Entity\UserFlock\User", fetch="EXTRA_LAZY")
     * @ORM\JoinColumn(referencedColumnName="id")
     */
    protected $createdBy;

    /**
     * @var \DateTime $created
     *
     * @Gedmo\Timestampable(on="create")
     * @ORM\Column(name="created_at", type="datetime")
     */
    protected $createdAt;

    /**
     * @var User $updatedBy
     *
     * @Gedmo\Blameable(on="update")
     * @ORM\ManyToOne(targetEntity="App\Entity\UserFlock\User", fetch="EXTRA_LAZY")
     * @ORM\JoinColumn(referencedColumnName="id")
     */
    protected $updatedBy;

    /**
     * @var \DateTime $updated
     *
     * @Gedmo\Timestampable(on="update")
     * @ORM\Column(name="updated_at", type="datetime")
     */
    protected $updatedAt;

    /**************************************/
    /* CUSTOM CODE                        */
    /**************************************/

    public function getFullClassName()
    {
        return str_replace('Proxies\\__CG__\\', '', get_class($this));
    }

    public function getClassName()
    {
        return (new \ReflectionClass($this))->getShortName();
    }

    public function getTimestampableDetail()
    {
        $res = 'creato';
        if ($this->getCreatedBy()) $res .= ' da <b>' . $this->getCreatedBy() . '</b>';
        if ($this->getCreatedAt()) $res .= '<br/>il ' . $this->getCreatedAt()->format('d/m/Y H:i:s');

        if ($this->getCreatedAt() != $this->getUpdatedAt()) {
            $res .= '<br/><br/>modificato';
            if ($this->getUpdatedBy()) $res .= ' da <b>' . $this->getUpdatedBy() . '</b>';
            if ($this->getUpdatedAt()) $res .= '<br/>il ' . $this->getUpdatedAt()->format('d/m/Y H:i:s');
        }

        return $res;
    }
    /**************************************/
    /* GETTERS & SETTERS                  */
    /**************************************/


    /**
     * Set createdBy
     *
     * @param string $createdBy
     * @return $this
     */
    public function setCreatedBy($createdBy)
    {
        $this->createdBy = $createdBy;

        return $this;
    }

    /**
     * Get createdBy
     *
     * @return string
     */
    public function getCreatedBy()
    {
        return $this->createdBy;
    }

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     * @return $this
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set updatedBy
     *
     * @param string $updatedBy
     * @return $this
     */
    public function setUpdatedBy($updatedBy)
    {
        $this->updatedBy = $updatedBy;

        return $this;
    }

    /**
     * Get updatedBy
     *
     * @return string
     */
    public function getUpdatedBy()
    {
        return $this->updatedBy;
    }

    /**
     * Set updatedAt
     *
     * @param \DateTime $updatedAt
     * @return $this
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }

    /**
     * Get updatedAt
     *
     * @return \DateTime
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }
    /**************************************/
    /* END                                */
    /**************************************/
} 

src/Entity/ContactFlock/Place.php
<?php

namespace App\Entity\ContactFlock;

use App\Entity\AdminFlock\TimestampableInterface;
use App\Entity\AdminFlock\TimestampableTrait;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping as ORM;
use Ivory\GoogleMap\Map;
use Ivory\GoogleMap\MapTypeId;
use Ivory\GoogleMap\Overlays\Animation;
use Ivory\GoogleMap\Overlays\Marker;
use Ivory\GoogleMap\Services\Geocoding\Geocoder;
use Ivory\GoogleMap\Services\Geocoding\GeocoderProvider;
use Ivory\GoogleMap\Services\Geocoding\GeocoderRequest;
use Ivory\GoogleMap\Overlays\InfoWindow;
use Ivory\GoogleMap\Events\MouseEvent;
use Geocoder\HttpAdapter\CurlHttpAdapter;
use Symfony\Component\Validator\Constraints as Assert;
use Fresh\DoctrineEnumBundle\Validator\Constraints as DoctrineAssert;
use Symfony\Component\Validator\Context\ExecutionContextInterface;
use Sinervis\ContactBundle\Entity\ContactInfos\Email;
use Sinervis\ContactBundle\Entity\ContactInfos\Phone;


/**
 * Place
 *
 * @ORM\Table()
 * @ORM\Entity
 * @ORM\InheritanceType("SINGLE_TABLE")
 * @ORM\DiscriminatorColumn(name="discriminator", type="string")
 * @ORM\DiscriminatorMap({
 *   "Place"    = "Place",
 *   "House"    = "App\Entity\ContactFlock\Places\House",
 *   "Office"   = "App\Entity\ContactFlock\Places\Office",
 * })
 */
class Place implements TimestampableInterface
{
    use TimestampableTrait;

    /**************************************/
    /* PROPERTIES                         */
    /**************************************/

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;

    /**
     * @var string
     *
     * @ORM\Column(name="full_address", type="string", length=255)
     *
     * @Assert\NotBlank(message="Indirizzo completo non dovrebbe essere vuoto.")
     */
    protected $fullAddress;

    /**
     * @var string
     *
     * @ORM\Column(name="street", type="string", length=255, nullable=true)
     */
    protected $street;

    /**
     * @var string
     *
     * @ORM\Column(name="number", type="string", length=255, nullable=true)
     */
    protected $number;

    /**
     * @var string
     *
     * @ORM\Column(name="zip", type="string", length=255, nullable=true)
     */
    protected $zip;

    /**
     * @var string
     *
     * @ORM\Column(name="city", type="string", length=255, nullable=true)
     */
    protected $city;

    /**
     * @var string
     *
     * @ORM\Column(name="province", type="string", length=255, nullable=true)
     */
    protected $province;

    /**
     * @var string
     *
     * @ORM\Column(name="region", type="string", length=255, nullable=true)
     */
    protected $region;

    /**
     * @var string
     *
     * @ORM\Column(name="country", type="string", length=255, nullable=true)
     */
    protected $country;

    /**
     * @var string
     *
     * @ORM\Column(name="geocode_status", type="string", length=255, nullable=true)
     */
    protected $geocodeStatus;

    /**
     * @var float
     *
     * @ORM\Column(name="latitude", type="float", nullable=true)
     */
    protected $latitude;

    /**
     * @var float
     *
     * @ORM\Column(name="longitude", type="float", nullable=true)
     */
    protected $longitude;

    /**
     * @var string
     *
     * @ORM\Column(name="site_name", type="string", length=255, nullable=true)
     */
    protected $siteName;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\ContactFlock\Contact", inversedBy="ownedPlaces", cascade={"persist"})
     * @ORM\JoinColumn(name="contact_id", referencedColumnName="id", onDelete="CASCADE")
     *
     */
    protected $contact;

    /**
     * @ORM\ManyToMany(targetEntity="ContactInfo", orphanRemoval=true, cascade={"persist", "remove"})
     * @ORM\JoinTable(name="places_contactinfo",
     *      joinColumns={@ORM\JoinColumn(name="contact_id", referencedColumnName="id")},
     *      inverseJoinColumns={@ORM\JoinColumn(name="contactinfo_id", referencedColumnName="id", unique=true, onDelete="CASCADE")}
     *      )
     * @Assert\Valid()
     */
    private $infos;

    /**
     * @var boolean
     *
     * @ORM\Column(name="is_fiscal_sending_address", type="boolean", nullable=true, options={"default"=0})
     */
    private $isFiscalSendingAddress;

    /**************************************/
    /* CUSTOM CODE                        */
    /**************************************/

    public function __construct()
    {
        $this->isFiscalSendingAddress = false;
    }

    public function __toString()
    {
        return $this->fullAddress;
    }

    public function getFormattedAddress()
    {
        $addressParts = [];
        $addressParts[] = $this->street;
        $addressParts[] = $this->number;
        $addressParts[] = $this->city;

        if ($this->province) {
            $addressParts[] = '('.$this->province.')';
        }

        $addressParts = array_filter($addressParts);
        return implode(' ', $addressParts);
    }

    public function getIcon()
    {
        return 'build/images/sinervis/ContactFlock/place.png';
    }

    public function getMap()
    {
        $map = new Map();

        $map->setPrefixJavascriptVariable('map_');
        $map->setHtmlContainerId('map_canvas');

        $map->setAsync(false);
        $map->setAutoZoom(false);

        $map->setCenter((double)$this->getLatitude(), (double)$this->getLongitude(), true);
        $map->setMapOption('zoom', 10);

        $map->setBound(-2.1, -3.9, 2.6, 1.4, true, true);

        $map->setMapOption('mapTypeId', MapTypeId::ROADMAP);
        $map->setMapOption('mapTypeId', 'roadmap');

        $map->setMapOption('disableDefaultUI', true);
        $map->setMapOption('disableDoubleClickZoom', true);
        $map->setMapOptions(array(
            'disableDefaultUI' => true,
            'disableDoubleClickZoom' => true,
        ));

        $map->setStylesheetOption('width', '100%');
        $map->setStylesheetOption('height', '300px');
        $map->setStylesheetOptions(array(
            'width' => '100%',
            'height' => '300px',
        ));

        $map->setLanguage('it');

        $marker = new Marker();

        // Configure your marker options
        $marker->setPrefixJavascriptVariable('marker_');
        $marker->setPosition((double)$this->getLatitude(), (double)$this->getLongitude(), true);
        $marker->setAnimation(Animation::DROP);

        $marker->setOption('clickable', false);
        $marker->setOption('flat', true);
        $marker->setOptions(array(
            'clickable' => false,
            'flat' => true,
        ));
        $map->addMarker($marker);

        $marker->setIcon($this->getIcon());


        return $map;
    }

    public function getMarkerInfoWindow()
    {
        $infoWindow = new InfoWindow();
        $infoWindow->setContent('');
        $infoWindow->setOpen(false);
        $infoWindow->setAutoOpen(true);
        $infoWindow->setOpenEvent(MouseEvent::CLICK);
        $infoWindow->setAutoClose(true);
        $infoWindow->setOptions(array(
            //'disableAutoPan' => true,
            'zIndex' => 10,
            'borderRadius' => 15,
        ));

        return $infoWindow;
    }

    public function doGeocode()
    {
        $geocoder = new Geocoder();
        $geocoder->registerProviders(array(
            new GeocoderProvider(new CurlHttpAdapter()),
        ));

        $request = new GeocoderRequest();
        $request->setLanguage('it');
        $request->setAddress($this->fullAddress);

        $response = $geocoder->geocode($request);
        $this->setGeocodeStatus($response->getStatus());
        $results = $response->getResults();
        if (count($results)) {
            $result = $results[0];
            $this->setFullAddress($result->getformattedAddress(), false);
            $this->setStreet($this->getGeoComponent($result, 'route'));
            $this->setNumber($this->getGeoComponent($result, 'street_number'));
            $this->setZip($this->getGeoComponent($result, 'postal_code'));
            $this->setCity($this->getGeoComponent($result, 'administrative_area_level_3')); // 'locality' is more reliable than 'administrative_area_level_3'
            $this->setProvince($this->getGeoComponent($result, 'administrative_area_level_2', 'getShortName'));
            $this->setRegion($this->getGeoComponent($result, 'administrative_area_level_1'));
            $this->setCountry($this->getGeoComponent($result, 'country'));

            $coord = $result->getGeometry()->getLocation();
            $this->setLatitude($coord->getLatitude());
            $this->setLongitude($coord->getLongitude());

            return true;
        } else {
            return false;
        }
    }

    private function getGeoComponent($geo, $name, $getter = 'getLongName')
    {
        $res = $geo->getAddressComponents($name);
        return count($res) ? $res[0]->$getter() : '';
    }

    public function getType()
    {
        return 'Luogo';
    }

    public function getPlacePhones()
    {
        $phones = array();
        foreach ($this->getContactable()->getInfos() as $info) {
            if ((new \ReflectionClass($info))->getShortName() == 'Phone') {
                $phones[] = $info->getValue();
            }
        }
        return implode(', ', $phones);
    }

    /**
     * @Assert\Callback
     */
    public function isPhoneTypeSelected(ExecutionContextInterface $context)
    {
        //Check if type is selected if the entity is type of Phone.
//        foreach ($this->getContactable()->getInfos() as $key => $info) {
//            $value = $info->getValue();
//            $type = $info->getType();
//            $errorMsg = null;
//            if (empty($value)) {
//                $errorMsg = 'Questo valore non dovrebbe essere vuoto';
//            } elseif ($info instanceof Phone && is_null($type)) {
//                $errorMsg = 'Scegli il tipo';
//            }
//

src/Form/AdminFlock/ChoiceOrText/ChoiceOrTextType.php
<?php

namespace App\Form\AdminFlock\ChoiceOrText;

use Doctrine\ORM\EntityManagerInterface;
use App\Form\AdminFlock\ChoiceOrText\DataTransformer\TextToEntityTransformer;
use App\Form\AdminFlock\SinervisTextAutocomplete\SinervisTextAutocompleteType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\OptionsResolver\Options;
use Doctrine\ORM\EntityManager;
use Symfony\Component\OptionsResolver\Exception\InvalidOptionsException;
use Symfony\Component\OptionsResolver\Exception\MissingOptionsException;

/**
 * Filter type for entities.
 */
class ChoiceOrTextType extends AbstractType
{
    /**
     * @var EntityManager
     */
    private $em;

    /**
     * @param EntityManagerInterface $em
     */
    public function __construct(EntityManagerInterface $em)
    {
        $this->em = $em;
    }


    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);

        $transformer = new TextToEntityTransformer($this->em, $options);
        $builder->addModelTransformer($transformer);
    }


    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        parent::configureOptions($resolver);
        $resolver
            ->setDefaults(array(
                'attr' => array(),
                'removeOrphans' => false,
                'trim' => true,
                'textToUpper' => false,
                'property' => null,
            ))
            ->addNormalizer(
                'removeOrphans', function (Options $options, $value) {
                if (!empty($value)) {
                    if (isset($value['mappedByFieldName']) && isset($value['mappedClassName'])) {
                        $mappedByFieldName = trim($value['mappedByFieldName']);
                        $mappedClassName = trim($value['mappedClassName']);

                        if (!property_exists($options['class'], $mappedByFieldName)) {
                            throw new InvalidOptionsException("The property '$mappedByFieldName' does not exist in $options[class]");
                        }
                        if (!method_exists($options['class'], 'remove' . $mappedClassName)) {
                            throw new InvalidOptionsException("The method 'remove$mappedClassName' does not exist in $options[class]");
                        }

                        return $value;
                    }

                    throw new MissingOptionsException("The option 'removeOrphans' requires both 'mappedByFieldName' and 'mappedClassName'");
                }

                return false;
            })
            ->setRequired(array('class'));
    }

    /**
     * {@inheritdoc}
     */
    public function getParent()
    {
        return SinervisTextAutocompleteType::class;
    }


    /**
     * {@inheritdoc}
     */
    public function getName()
    {
        return 'choice_or_text';
    }

    public function getBlockPrefix()
    {
        return 'choice_or_text';
    }
}

src/Controller/AdminFlock/DashboardController.php
<?php

namespace App\Controller\AdminFlock;

use Symfony\Component\Routing\Annotation\Route;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

class DashboardController extends AbstractController
{
    /**
     * Matches /
     *
     * @Route("/", name="app_homepage")
     */
    public function index()
    {
        return $this->render('admin_flock/Dashboard/homepage.html.twig', [
            'dashboard' => []
        ]);
    }


    /**
     * Matches /
     *
     * @Route("/dashboard", name="app_dashboard")
     */
    public function dashboard()
    {
        return $this->render('admin_flock/Dashboard/index.html.twig');
    }
}

templates/admin_flock/crud/_pagination.html.twig
{# default Sliding pagination control implementation #}
{% if pageCount > 1 %}
    <ul class="pagination">
        {% if first is defined and current != first %}
            <li class="first page-item">
                <a href="{{ path(route, query|merge({(pageParameterName): first})) }}" class="page-link">&lt;&lt;</a>
            </li>
        {% endif %}

        {% if previous is defined %}
            <li class="previous page-item">
                <a href="{{ path(route, query|merge({(pageParameterName): previous})) }}" class="page-link">&lt;</a>
            </li>
        {% endif %}

        {% for page in pagesInRange %}
            {% if page != current %}
                <li class="page-item">
                    <a href="{{ path(route, query|merge({(pageParameterName): page})) }}" class="page-link">{{ page }}</a>
                </li>
            {% else %}
                <li class="page-item active disabled"><a class="page-link">{{ page }}</a></li>
            {% endif %}

        {% endfor %}

        {% if next is defined %}
            <li class="next page-item">
                <a href="{{ path(route, query|merge({(pageParameterName): next})) }}" class="page-link">&gt;</a>
            </li>
        {% endif %}

        {% if last is defined and current != last %}
            <li class="last page-item">
                <a href="{{ path(route, query|merge({(pageParameterName): last})) }}" class="page-link">&gt;&gt;</a>
            </li>
        {% endif %}
    </ul>
{% endif %}

templates/admin_flock/crud/block_filters.html.twig
{% if configuration.block_filters | length > 0 %}
    <div class="row">
        <article class="col-12">
{#            <div class="ibox mb-3">#}
                <nav class="navbar navbar-expand block-filters mb-3">
                    <ul class="navbar-nav">
                        {% for filter in configuration.block_filters %}
                        <li class="nav-item">
                            <a id="block_filter_{{ loop.index }}"
                               href="#"
                               class="btn btn-secondary mr-2 action-toggle-elements active"
                               data-toggle="button"
                               aria-pressed="true"
                               data-selector="{{ filter.selector }}"
                               title="Nascondi i blocchi"
                            >
                                <i class="{{ filter.icon is defined ? icons[filter.icon] : icons.details }}"></i> {{ filter.label }}
                            </a>
                        </li>
                        {% endfor %}
                    </ul>
                </nav>
{#            </div>#}
        </article>
    </div>
{% endif %}


templates/admin_flock/crud/modal.html.twig
<!-- TEMPLATE {{ _self }} -->
<div class="modal inmodal" id="{{ modal_id }}" tabindex="-1" role="dialog" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog {{ modal_size }}">
        <div class="modal-content animated bounceInRight">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                </button>
                {% block modal_header %}
                {% endblock modal_header %}
            </div>

            <div class="modal-body">
                {% block modal_body %}
                {% endblock modal_body %}
            </div>

            <div class="modal-footer">
                {% block modal_footer %}
                    {% block modal_close_button %}
                        <button type="button" id="js-close" class="btn btn-white" data-dismiss="modal">Annulla <i class="{{ icons['cancel'] }}"></i></button>
                    {% endblock modal_close_button %}
                    {% block modal_save_button %}
{#                        <button id="js-save" class="btn btn-primary ladda-button" data-style="slide-left">#}
{#                            <span class="ladda-label">Salva <i class="far fa-save"></i></span>#}
{#                        </button>#}
                    {% endblock modal_save_button %}
                {% endblock modal_footer %}
            </div>

        </div>
    </div>
</div>

templates/admin_flock/crud/new_form_only.html.twig
<!-- TEMPLATE {{ _self }} -->

{#{% block stylesheets %}#}
{#    {{ encore_entry_link_tags('entity_form') }}#}
{#{% endblock %}#}

{#{% block javascripts %}#}
{#    {{ encore_entry_script_tags('entity_form') }}#}
{#{% endblock javascripts %}#}

{% block body %}
    <div class="wrapper animated fadeIn">
        {% block main_entity_form %}
            {% include 'admin_flock/crud/Form/render_form.html.twig' %}
        {% endblock main_entity_form %}
    </div>
{% endblock body %}

templates/admin_flock/crud/show.html.twig
{% extends 'admin_flock/layout.html.twig' %}

{% block title %}
{% set nome='Matteo' %}
{#    {{ dump() }}#}
  Dettagli  {{ configuration.singular_name }} - {{ parent() }}
{% endblock title %}

{% block body %}
  <!-- TEMPLATE {{ _self }} -->
<div class="row wrapper border-bottom white-bg page-heading">
      <div class="col-6">
        {% if entity.timestampableDetail is defined %}
          <a style="display: inline-block;" rel="popover" data-html="true" data-placement="right" title="Dettagli record" data-content="{{ entity.timestampableDetail }}"><h2 class="page-title"><i class="fa fa-eye fa-fw"></i></h2></a>
        {% endif %}
        <h2 style="display: inline-block;" class="page-title txt-color-blueDark">
          {% block entity_operation_title %}
            Dettagli  {{ configuration.singular_name }}
          {% endblock entity_operation_title %}
        </h2>
      </div>
      <div class="col-6 page-actions">
          <h2 class="float-right">
              <div class="object-specific-actions">
              {% block object_specific_actions %}
              {% endblock object_specific_actions %}
              </div>
        {% block object_actions %}
          {% set _object_extra_actions %}
              {% include [ configuration.templates_path ~ '/_object_extra_actions.html.twig', 'admin_flock/crud/_object_extra_actions.html.twig'] %}
          {% endset %}

          {% if _object_extra_actions.__toString|trim|length %}
              <div class="btn-group">
                  <button id="extra-action-button" class="btn btn-success btn-sm dropdown-toggle" data-toggle="dropdown">Altri </button>
                  <ul id="extra-action-list" class="dropdown-menu">{% include [ configuration.templates_path ~ '/_object_extra_actions.html.twig', 'admin_flock/crud/_object_extra_actions.html.twig'] %}</ul>
              </div>
          {% endif %}

          {% if is_granted(constant('App\\Security\\AdminFlock\\Authorization\\Voter\\AdminVoter::LIST_ALL'), entity) or is_granted(constant('App\\Security\\AdminFlock\\Authorization\\Voter\\AdminVoter::LIST_OWNED'), entity) %}
              {% block object_action_list %}<a class="btn btn-success btn-sm" href="{{ path(configuration.route_prefix, configuration.route_params) }}">Elenco <span class="btn-icon"><i class="fas fa-list"></i></span></a>{% endblock object_action_list %}
          {% endif %}
          {% if is_granted(constant('App\\Security\\AdminFlock\\Authorization\\Voter\\AdminVoter::LIST_ALL'), entity) or is_granted(constant('App\\Security\\AdminFlock\\Authorization\\Voter\\AdminVoter::CREATE'), entity) %}
            {% block object_action_create %}<a href="{{ path(configuration.route_prefix ~ '_new', configuration.route_params) }}" type="button" class="btn btn-sm btn-success"><i class="fas fa-plus"></i></a>{% endblock object_action_create %}
          {% endif %}
          {% if is_granted(constant('App\\Security\\AdminFlock\\Authorization\\Voter\\AdminVoter::EDIT'),entity) %}
            {% block object_action_edit %}<a class="btn btn-success btn-sm" href="{{ path(configuration.route_prefix ~ '_edit', configuration.route_params|merge({ 'id': entity.id })) }}">Modifica <span class="btn-icon"><i class="fas fa-pencil-alt"></i> </span></a>{% endblock object_action_edit %}
          {% endif %}
          {% if is_granted(constant('App\\Security\\AdminFlock\\Authorization\\Voter\\AdminVoter::DELETE'),entity) %}
            {% block object_action_delete %}<a href="{{ path(configuration.route_prefix ~ '_delete', configuration.route_params|merge({ 'id': entity.id, 'token': csrf_token(configuration.entity_name ~ entity.id) })) }}" data-method="POST" class="btn btn-danger btn-sm delete-entity">Elimina <span class="btn-icon"><i class="fas fa-trash-alt"></i> </span></a>{% endblock object_action_delete %}
          {% endif %}
        {% endblock object_actions %}
          </h2>
      </div>
  </div>

<div class="wrapper wrapper-content animated fadeIn">
    {% if configuration.block_filters | length > 0 %}
        {% include 'admin_flock/crud/block_filters.html.twig' %}
    {% endif %}
    {% for row, cols in blocks %}
      <div class="row">
        {% for col, col_conf in cols %}
{#            {{ dump(configuration.templates_path ~ '/View/render_column_' ~ col ~ '.html.twig')}}#}
{#            {{ dump(configuration.templates_path ~ '/' ~ configuration.generic_entity ~ '/View/render_column_' ~ col ~ '.html.twig')}}#}
{#            {{ dump('admin_flock/crud/View/render_column.html.twig')}}#}
            {% include [ configuration.templates_path ~ '/View/render_column_' ~ col ~ '.html.twig',
                configuration.templates_path ~ '/' ~ configuration.generic_entity ~ '/View/render_column_' ~ col ~ '.html.twig',
                'admin_flock/crud/View/render_column.html.twig'] %}
        {% endfor %}
      </div>
    {% endfor %}
</div>

{% endblock body %}

{% block javascripts %}
  {{ parent() }}
    {{ encore_entry_script_tags('entity_show') }}
  <!--script src="/bundles/sinervisadmin/js/plugin/match-height/jquery.matchHeight-min.js" type="text/javascript"></script>
  <script type="text/javascript">
    $(function() {
      $(document).ready(function(){
        $('.set-match-height').matchHeight();
        
      });
    });
   </script-->
{% endblock %}